package com.bonus.canteen.core.allocation.canteen.dto.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("点餐设置Base DTO")
public class AllocCanteenOrderBaseDTO {
   @ApiModelProperty("是否启用点餐配置")
   private Integer ifEnableOrder;
   @ApiModelProperty("允许预订餐/报餐预定当天")
   private String ifAllowReserveToday = "1";
   @ApiModelProperty("预定餐最多允许订多少天 默认:7")
   private String reserveLimitDay = "7";
   @ApiModelProperty("预定餐是否跳过节假日 默认:是")
   private String ifReserveSkipHoliday = "1";
   @ApiModelProperty("今天预订第二天餐次截止时间 HH:mm")
   private String reserveEndTime;
   @ApiModelProperty("预订每天退款截止时间 HH:mm")
   private String reserveRefundEndTime;
   @ApiModelProperty("报餐每天退款截止时间 HH:mm")
   private String bookRefundEndTime;
   @ApiModelProperty("报餐是否跳过节假日 默认:是")
   private String ifBookSkipHoliday;
   @ApiModelProperty("报餐最多允许报多少天")
   private String reportMealLimitDay;
   @ApiModelProperty("今天报餐第二天餐次截止时间 HH:mm")
   private String bookEndTime;
   @ApiModelProperty("开餐前多少小时内，不可取消报餐 默认:2")
   private String nearDinnerCancelBookChargeHour = "2";
   @ApiModelProperty("截止前一天指定时间取消报餐，扣除手续费 HH:mm")
   private String dayBeforeCancelBookChargeTime;
   @ApiModelProperty("取消报餐扣除手续费比例")
   private String cancelBookFeeRatio;

   public Integer getIfEnableOrder() {
      return this.ifEnableOrder;
   }

   public String getIfAllowReserveToday() {
      return this.ifAllowReserveToday;
   }

   public String getReserveLimitDay() {
      return this.reserveLimitDay;
   }

   public String getIfReserveSkipHoliday() {
      return this.ifReserveSkipHoliday;
   }

   public String getReserveEndTime() {
      return this.reserveEndTime;
   }

   public String getReserveRefundEndTime() {
      return this.reserveRefundEndTime;
   }

   public String getBookRefundEndTime() {
      return this.bookRefundEndTime;
   }

   public String getIfBookSkipHoliday() {
      return this.ifBookSkipHoliday;
   }

   public String getReportMealLimitDay() {
      return this.reportMealLimitDay;
   }

   public String getBookEndTime() {
      return this.bookEndTime;
   }

   public String getNearDinnerCancelBookChargeHour() {
      return this.nearDinnerCancelBookChargeHour;
   }

   public String getDayBeforeCancelBookChargeTime() {
      return this.dayBeforeCancelBookChargeTime;
   }

   public String getCancelBookFeeRatio() {
      return this.cancelBookFeeRatio;
   }

   public void setIfEnableOrder(final Integer ifEnableOrder) {
      this.ifEnableOrder = ifEnableOrder;
   }

   public void setIfAllowReserveToday(final String ifAllowReserveToday) {
      this.ifAllowReserveToday = ifAllowReserveToday;
   }

   public void setReserveLimitDay(final String reserveLimitDay) {
      this.reserveLimitDay = reserveLimitDay;
   }

   public void setIfReserveSkipHoliday(final String ifReserveSkipHoliday) {
      this.ifReserveSkipHoliday = ifReserveSkipHoliday;
   }

   public void setReserveEndTime(final String reserveEndTime) {
      this.reserveEndTime = reserveEndTime;
   }

   public void setReserveRefundEndTime(final String reserveRefundEndTime) {
      this.reserveRefundEndTime = reserveRefundEndTime;
   }

   public void setBookRefundEndTime(final String bookRefundEndTime) {
      this.bookRefundEndTime = bookRefundEndTime;
   }

   public void setIfBookSkipHoliday(final String ifBookSkipHoliday) {
      this.ifBookSkipHoliday = ifBookSkipHoliday;
   }

   public void setReportMealLimitDay(final String reportMealLimitDay) {
      this.reportMealLimitDay = reportMealLimitDay;
   }

   public void setBookEndTime(final String bookEndTime) {
      this.bookEndTime = bookEndTime;
   }

   public void setNearDinnerCancelBookChargeHour(final String nearDinnerCancelBookChargeHour) {
      this.nearDinnerCancelBookChargeHour = nearDinnerCancelBookChargeHour;
   }

   public void setDayBeforeCancelBookChargeTime(final String dayBeforeCancelBookChargeTime) {
      this.dayBeforeCancelBookChargeTime = dayBeforeCancelBookChargeTime;
   }

   public void setCancelBookFeeRatio(final String cancelBookFeeRatio) {
      this.cancelBookFeeRatio = cancelBookFeeRatio;
   }

   @Override
   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AllocCanteenOrderBaseDTO)) {
         return false;
      } else {
         AllocCanteenOrderBaseDTO other = (AllocCanteenOrderBaseDTO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label167: {
               Object this$ifEnableOrder = this.getIfEnableOrder();
               Object other$ifEnableOrder = other.getIfEnableOrder();
               if (this$ifEnableOrder == null) {
                  if (other$ifEnableOrder == null) {
                     break label167;
                  }
               } else if (this$ifEnableOrder.equals(other$ifEnableOrder)) {
                  break label167;
               }

               return false;
            }

            Object this$ifAllowReserveToday = this.getIfAllowReserveToday();
            Object other$ifAllowReserveToday = other.getIfAllowReserveToday();
            if (this$ifAllowReserveToday == null) {
               if (other$ifAllowReserveToday != null) {
                  return false;
               }
            } else if (!this$ifAllowReserveToday.equals(other$ifAllowReserveToday)) {
               return false;
            }

            label153: {
               Object this$reserveLimitDay = this.getReserveLimitDay();
               Object other$reserveLimitDay = other.getReserveLimitDay();
               if (this$reserveLimitDay == null) {
                  if (other$reserveLimitDay == null) {
                     break label153;
                  }
               } else if (this$reserveLimitDay.equals(other$reserveLimitDay)) {
                  break label153;
               }

               return false;
            }

            Object this$ifReserveSkipHoliday = this.getIfReserveSkipHoliday();
            Object other$ifReserveSkipHoliday = other.getIfReserveSkipHoliday();
            if (this$ifReserveSkipHoliday == null) {
               if (other$ifReserveSkipHoliday != null) {
                  return false;
               }
            } else if (!this$ifReserveSkipHoliday.equals(other$ifReserveSkipHoliday)) {
               return false;
            }

            label139: {
               Object this$reserveEndTime = this.getReserveEndTime();
               Object other$reserveEndTime = other.getReserveEndTime();
               if (this$reserveEndTime == null) {
                  if (other$reserveEndTime == null) {
                     break label139;
                  }
               } else if (this$reserveEndTime.equals(other$reserveEndTime)) {
                  break label139;
               }

               return false;
            }

            Object this$reserveRefundEndTime = this.getReserveRefundEndTime();
            Object other$reserveRefundEndTime = other.getReserveRefundEndTime();
            if (this$reserveRefundEndTime == null) {
               if (other$reserveRefundEndTime != null) {
                  return false;
               }
            } else if (!this$reserveRefundEndTime.equals(other$reserveRefundEndTime)) {
               return false;
            }

            label125: {
               Object this$bookRefundEndTime = this.getBookRefundEndTime();
               Object other$bookRefundEndTime = other.getBookRefundEndTime();
               if (this$bookRefundEndTime == null) {
                  if (other$bookRefundEndTime == null) {
                     break label125;
                  }
               } else if (this$bookRefundEndTime.equals(other$bookRefundEndTime)) {
                  break label125;
               }

               return false;
            }

            label118: {
               Object this$ifBookSkipHoliday = this.getIfBookSkipHoliday();
               Object other$ifBookSkipHoliday = other.getIfBookSkipHoliday();
               if (this$ifBookSkipHoliday == null) {
                  if (other$ifBookSkipHoliday == null) {
                     break label118;
                  }
               } else if (this$ifBookSkipHoliday.equals(other$ifBookSkipHoliday)) {
                  break label118;
               }

               return false;
            }

            Object this$reportMealLimitDay = this.getReportMealLimitDay();
            Object other$reportMealLimitDay = other.getReportMealLimitDay();
            if (this$reportMealLimitDay == null) {
               if (other$reportMealLimitDay != null) {
                  return false;
               }
            } else if (!this$reportMealLimitDay.equals(other$reportMealLimitDay)) {
               return false;
            }

            label104: {
               Object this$bookEndTime = this.getBookEndTime();
               Object other$bookEndTime = other.getBookEndTime();
               if (this$bookEndTime == null) {
                  if (other$bookEndTime == null) {
                     break label104;
                  }
               } else if (this$bookEndTime.equals(other$bookEndTime)) {
                  break label104;
               }

               return false;
            }

            label97: {
               Object this$nearDinnerCancelBookChargeHour = this.getNearDinnerCancelBookChargeHour();
               Object other$nearDinnerCancelBookChargeHour = other.getNearDinnerCancelBookChargeHour();
               if (this$nearDinnerCancelBookChargeHour == null) {
                  if (other$nearDinnerCancelBookChargeHour == null) {
                     break label97;
                  }
               } else if (this$nearDinnerCancelBookChargeHour.equals(other$nearDinnerCancelBookChargeHour)) {
                  break label97;
               }

               return false;
            }

            Object this$dayBeforeCancelBookChargeTime = this.getDayBeforeCancelBookChargeTime();
            Object other$dayBeforeCancelBookChargeTime = other.getDayBeforeCancelBookChargeTime();
            if (this$dayBeforeCancelBookChargeTime == null) {
               if (other$dayBeforeCancelBookChargeTime != null) {
                  return false;
               }
            } else if (!this$dayBeforeCancelBookChargeTime.equals(other$dayBeforeCancelBookChargeTime)) {
               return false;
            }

            Object this$cancelBookFeeRatio = this.getCancelBookFeeRatio();
            Object other$cancelBookFeeRatio = other.getCancelBookFeeRatio();
            if (this$cancelBookFeeRatio == null) {
               if (other$cancelBookFeeRatio != null) {
                  return false;
               }
            } else if (!this$cancelBookFeeRatio.equals(other$cancelBookFeeRatio)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof AllocCanteenOrderBaseDTO;
   }

   @Override
   public int hashCode() {
      int result = 1;
      Object $ifEnableOrder = this.getIfEnableOrder();
      result = result * 59 + ($ifEnableOrder == null ? 43 : $ifEnableOrder.hashCode());
      Object $ifAllowReserveToday = this.getIfAllowReserveToday();
      result = result * 59 + ($ifAllowReserveToday == null ? 43 : $ifAllowReserveToday.hashCode());
      Object $reserveLimitDay = this.getReserveLimitDay();
      result = result * 59 + ($reserveLimitDay == null ? 43 : $reserveLimitDay.hashCode());
      Object $ifReserveSkipHoliday = this.getIfReserveSkipHoliday();
      result = result * 59 + ($ifReserveSkipHoliday == null ? 43 : $ifReserveSkipHoliday.hashCode());
      Object $reserveEndTime = this.getReserveEndTime();
      result = result * 59 + ($reserveEndTime == null ? 43 : $reserveEndTime.hashCode());
      Object $reserveRefundEndTime = this.getReserveRefundEndTime();
      result = result * 59 + ($reserveRefundEndTime == null ? 43 : $reserveRefundEndTime.hashCode());
      Object $bookRefundEndTime = this.getBookRefundEndTime();
      result = result * 59 + ($bookRefundEndTime == null ? 43 : $bookRefundEndTime.hashCode());
      Object $ifBookSkipHoliday = this.getIfBookSkipHoliday();
      result = result * 59 + ($ifBookSkipHoliday == null ? 43 : $ifBookSkipHoliday.hashCode());
      Object $reportMealLimitDay = this.getReportMealLimitDay();
      result = result * 59 + ($reportMealLimitDay == null ? 43 : $reportMealLimitDay.hashCode());
      Object $bookEndTime = this.getBookEndTime();
      result = result * 59 + ($bookEndTime == null ? 43 : $bookEndTime.hashCode());
      Object $nearDinnerCancelBookChargeHour = this.getNearDinnerCancelBookChargeHour();
      result = result * 59 + ($nearDinnerCancelBookChargeHour == null ? 43 : $nearDinnerCancelBookChargeHour.hashCode());
      Object $dayBeforeCancelBookChargeTime = this.getDayBeforeCancelBookChargeTime();
      result = result * 59 + ($dayBeforeCancelBookChargeTime == null ? 43 : $dayBeforeCancelBookChargeTime.hashCode());
      Object $cancelBookFeeRatio = this.getCancelBookFeeRatio();
      result = result * 59 + ($cancelBookFeeRatio == null ? 43 : $cancelBookFeeRatio.hashCode());
      return result;
   }

   @Override
   public String toString() {
      Integer var10000 = this.getIfEnableOrder();
      return "AllocCanteenOrderBaseDTO(ifEnableOrder=" + var10000 + ", ifAllowReserveToday=" + this.getIfAllowReserveToday() + ", reserveLimitDay=" + this.getReserveLimitDay() + ", ifReserveSkipHoliday=" + this.getIfReserveSkipHoliday() + ", reserveEndTime=" + this.getReserveEndTime() + ", reserveRefundEndTime=" + this.getReserveRefundEndTime() + ", bookRefundEndTime=" + this.getBookRefundEndTime() + ", ifBookSkipHoliday=" + this.getIfBookSkipHoliday() + ", reportMealLimitDay=" + this.getReportMealLimitDay() + ", bookEndTime=" + this.getBookEndTime() + ", nearDinnerCancelBookChargeHour=" + this.getNearDinnerCancelBookChargeHour() + ", dayBeforeCancelBookChargeTime=" + this.getDayBeforeCancelBookChargeTime() + ", cancelBookFeeRatio=" + this.getCancelBookFeeRatio() + ")";
   }
}
